head	1.6;
access;
symbols
	RELEASE_8_3_0:1.5
	RELEASE_9_0_0:1.5
	RELEASE_7_4_0:1.5
	RELEASE_8_2_0:1.5
	RELEASE_6_EOL:1.5
	RELEASE_8_1_0:1.5
	RELEASE_7_3_0:1.5
	RELEASE_8_0_0:1.5
	RELEASE_7_2_0:1.4
	RELEASE_7_1_0:1.4
	RELEASE_6_4_0:1.4
	RELEASE_5_EOL:1.4
	RELEASE_7_0_0:1.4
	RELEASE_6_3_0:1.4
	PRE_XORG_7:1.4
	RELEASE_4_EOL:1.4
	RELEASE_6_2_0:1.4
	RELEASE_6_1_0:1.4
	RELEASE_5_5_0:1.4
	RELEASE_6_0_0:1.4
	RELEASE_5_4_0:1.4
	old_RELEASE_4_11_0:1.4
	old_RELEASE_5_3_0:1.4
	old_RELEASE_4_10_0:1.4
	old_RELEASE_5_2_1:1.3
	old_RELEASE_5_2_0:1.3
	old_RELEASE_4_9_0:1.3
	old_RELEASE_5_1_0:1.3
	old_RELEASE_4_8_0:1.3
	old_RELEASE_5_0_0:1.3
	old_RELEASE_4_7_0:1.3
	old_RELEASE_4_6_2:1.3
	old_RELEASE_4_6_1:1.3
	old_RELEASE_4_6_0:1.3
	old_RELEASE_5_0_DP1:1.3
	old_RELEASE_4_5_0:1.3;
locks; strict;
comment	@# @;


1.6
date	2012.07.22.18.50.58;	author ohauer;	state dead;
branches;
next	1.5;

1.5
date	2009.08.02.19.35.56;	author mezz;	state Exp;
branches;
next	1.4;

1.4
date	2004.04.07.14.27.47;	author clement;	state Exp;
branches;
next	1.3;

1.3
date	2001.10.29.20.05.37;	author ache;	state Exp;
branches;
next	1.2;

1.2
date	2001.10.29.20.04.00;	author ache;	state dead;
branches;
next	1.1;

1.1
date	2001.10.24.16.03.34;	author ache;	state Exp;
branches;
next	;


desc
@@


1.6
log
@SVN rev 301342 on 2012-07-22 18:50:58Z by ohauer

- apache20 has no SLAVE_PORTS so cleanup and simplify Makefile.modules
- use port framework instead pkg-install to check for www user
- no REVISION bump, logic / functionality has not changed

with hat apache@@
@
text
@#!/bin/sh
# $FreeBSD: ports/www/apache20/pkg-install,v 1.5 2009/08/02 19:35:56 mezz Exp $
#

if [ "$2" != "PRE-INSTALL" ]; then
	exit 0
fi

WWWUSER=www
WWWGROUP=${WWWUSER}
WWWUID=80
WWWGID=${WWWUID}

if ! pw groupshow "${WWWGROUP}" 2>/dev/null 1>&2; then
	if pw groupadd ${WWWGROUP} -g ${WWWGID}; then
		echo "Added group \"${WWWGROUP}\"."
	else
		echo "Adding group \"${WWWGROUP}\" failed..."
		exit 1
	fi
fi

if ! pw usershow "${WWWUSER}" 2>/dev/null 1>&2; then
	if pw useradd ${WWWUSER} -u ${WWWUID} -g ${WWWGROUP} -h - \
		-s "/sbin/nologin" -d "/nonexistent" \
		-c "World Wide Web Owner"; \
	then
		echo "Added user \"${WWWUSER}\"."
	else
		echo "Adding user \"${WWWUSER}\" failed..."
		exit 1
	fi
fi

exit 0
@


1.5
log
@-Repocopy devel/libtool15 -> libtool22 and libltdl15 -> libltdl22.
-Update libtool and libltdl to 2.2.6a.
-Remove devel/libtool15 and devel/libltdl15.
-Fix ports build with libtool22/libltdl22.
-Bump ports that depend on libltdl22 due to shared library version change.
-Explain what to do update in the UPDATING.

It has been tested with GNOME2, XFCE4, KDE3, KDE4 and other many wm/desktop
and applications in the runtime.

With help:	marcus and kwm
Pointyhat-exp:	a few times by pav
Tested by:	pgollucci, "Romain Tartière" <romain@@blogreen.org>, and
		a few MarcusCom CVS users. Also, I might have missed a few.
Repocopy by:	marcus
Approved by:	portmgr
@
text
@d2 1
a2 1
# $FreeBSD$
@


1.4
log
@- Fix install when people use a different /bin/sh
  This shouldn't have been fixed, but I don't like setting UID and GID
  variables.
  so ${*} -> ${WWW*}

PR:		64032
Noticed by:	Patrick Schoenfeld <schoenfeld@@in-medias-res.com>
@
text
@d2 1
a2 1
# $FreeBSD: ports/www/apache2/pkg-install,v 1.3 2001/10/29 20:05:37 ache Exp $
@


1.3
log
@Second part to fix missing x-bit on pkg*install

PR:		31599
@
text
@d2 1
a2 1
# $FreeBSD: ports/www/apache2/pkg-install,v 1.1 2001/10/24 16:03:34 ache Exp $
d9 4
a12 4
USER=www
GROUP=${USER}
UID=80
GID=${UID}
d14 3
a16 3
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
	if pw groupadd ${GROUP} -g ${GID}; then
		echo "Added group \"${GROUP}\"."
d18 1
a18 1
		echo "Adding group \"${GROUP}\" failed..."
d23 2
a24 2
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
	if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
d28 1
a28 1
		echo "Added user \"${USER}\"."
d30 1
a30 1
		echo "Adding user \"${USER}\" failed..."
@


1.2
log
@First part to fix missing x-bit on pkg*install
@
text
@d6 1
a6 1
    exit 0
d34 1
@


1.1
log
@Sync with main Apache

Submitted by:	MAINTAINER
@
text
@d2 1
a2 1
# $FreeBSD: ports/www/apache13/pkg-install,v 1.1 2001/10/21 17:33:37 ache Exp $
@

